Главная Новости Ruby 1.9.3-p327: исправление уязвимости

Ruby 1.9.3-p327: исправление уязвимости

Релиз содержит улучшения безопасности Ruby. Рекомендуется к немедленному обновлению на хостинге.

Анонсы Ruby о выходе обновлений всегда более чем лаконичны: «Новый релиз. Смотрите заявки и лог изменений для подробностей». Но в этом случае можно отойти от традиции, новый релиз Ruby содержит исправление уязвимости от флудинга хэш-функции, которая позволяла организовать DoS-атаку.

Обнаруженная уязвимость подобна обнаруженной ранее для ветки 1.8, и настоятельно рекомендуется оперативно выполнить обновление релиза Ruby 1.9 на хостинге. Аналогичную уязвимость имеют и предварительные версии Ruby 2.0.

Другие документы на эту тему

Виртуальный хостинг Perl/PHP/Python/Ruby

Тарифные планы «Виртуальный хостинг» — от размещения статических HTML-страниц, до поддержки PHP, Python, CGI скриптов (Shell, Perl), SSI, Ruby. В рамках тарифных планов предоставляется доступ к серверам баз данных MySQL или PostgreSQL.

Ruby

Высокоуровневый язык программирования.